#ifndef CD3DIMGMANAGER_H
#define CD3DIMGMANAGER_H

//CD3DImageManager.h


/*******************************************************
//
//	Name: CD3DImageManager.h
//
//	Author: Dave Ratti
//
//	Date:6-04-01
//
//	Modified: 1-16-02
//
//	Notes: Inherits CImageManager. Stores a linked list of textures use in CD3DImage
//	
//
//
//
*********************************************************/



#include "d3d8.h"
#include <list>
#include "CD3DImage.h"

using namespace std;

typedef list<CD3DTexture*> ImageList;
typedef ImageList::iterator ImageListIterator;


class CD3DImageManager
{


public:

	CD3DImageManager();
	~CD3DImageManager();


	CD3DTexture* getTexture(STRINGC fileName);
	void insertTexture(CD3DTexture* texture);
	void releaseTextures();
	void restoreTextures();


protected:

	ImageList Images;


};

#endif